Bug 783359 (CVE-2012-0022) - CVE-2012-0022 tomcat: large number of parameters DoS
Summary: CVE-2012-0022 tomcat: large number of parameters DoS
Status: CLOSED ERRATA
Alias: CVE-2012-0022
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120117,repor...
Keywords: Security
Depends On: 783725 783726 783727 783728 783729 783730 783731 783732 783733 783734 783735 783736 783737 783738 796399
Blocks: 783361 795277 797038 803191 810065 811419
TreeView+ depends on / blocked
 
Reported: 2012-01-20 06:11 UTC by David Jorm
Modified: 2018-11-27 20:40 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-10-03 15:50:06 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0074 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:17 UTC
Red Hat Product Errata RHSA-2012:0075 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:13 UTC
Red Hat Product Errata RHSA-2012:0076 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:06 UTC
Red Hat Product Errata RHSA-2012:0077 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-01 04:03:02 UTC
Red Hat Product Errata RHSA-2012:0078 normal SHIPPED_LIVE Important: JBoss Communications Platform 5.1.3 update 2012-02-01 04:02:57 UTC
Red Hat Product Errata RHSA-2012:0325 normal SHIPPED_LIVE Important: jbossweb security update 2012-02-22 10:10:34 UTC
Red Hat Product Errata RHSA-2012:0345 normal SHIPPED_LIVE Moderate: jbossweb security and bug fix update 2012-03-01 11:53:20 UTC
Red Hat Product Errata RHSA-2012:0474 normal SHIPPED_LIVE Moderate: tomcat5 security update 2012-04-11 22:07:09 UTC
Red Hat Product Errata RHSA-2012:0475 normal SHIPPED_LIVE Moderate: tomcat6 security update 2012-04-11 22:17:21 UTC
Red Hat Product Errata RHSA-2012:0679 normal SHIPPED_LIVE Moderate: tomcat5 security and bug fix update 2012-05-21 20:28:06 UTC
Red Hat Product Errata RHSA-2012:0680 normal SHIPPED_LIVE Moderate: tomcat5 security and bug fix update 2012-05-21 20:27:56 UTC
Red Hat Product Errata RHSA-2012:0681 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2012-05-21 20:38:23 UTC
Red Hat Product Errata RHSA-2012:0682 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2012-05-21 20:48:57 UTC
Red Hat Product Errata RHSA-2012:1331 normal SHIPPED_LIVE Moderate: JBoss Operations Network 3.1.1 update 2012-10-03 19:08:51 UTC

Description David Jorm 2012-01-20 06:11:14 UTC
From the upstream advisory [1]:

Analysis of the recent hash collision vulnerability identified unrelated inefficiencies with Apache Tomcat's handling of large numbers of parameters and parameter values. These inefficiencies could allow an attacker, via a specially crafted request, to cause large amounts of CPU to be used which in turn could create a denial of service. The issue was addressed by modifying the Tomcat parameter handling code to efficiently process large numbers of parameters and parameter values.

Upstream has released 7.0.23, 6.0.35 and 5.5.35 to correct this flaw. Earlier versions of Tomcat may also be affected.

[1] http://seclists.org/bugtraq/2012/Jan/111

Comment 2 Vincent Danen 2012-01-21 00:03:03 UTC
As noted in bug #750521, the fixes do overlap with the fixes committed for CVE-2011-4858.

Comment 7 David Jorm 2012-01-22 02:45:06 UTC
Created tomcat6 tracking bugs for this issue

Affects: fedora-all [bug 783736]

Comment 8 David Jorm 2012-01-22 02:45:10 UTC
Created tomcat5 tracking bugs for this issue

Affects: fedora-all [bug 783735]

Comment 9 Tomas Hoger 2012-01-23 07:30:15 UTC
Relevant upstream commits for Tomcat 5.5.x and 6.0.x listed in bug #750521, comment #34.

Comment 10 errata-xmlrpc 2012-01-31 23:06:24 UTC
This issue has been addressed in following products:

  JBoss Communications Platform 5.1.3

Via RHSA-2012:0078 https://rhn.redhat.com/errata/RHSA-2012-0078.html

Comment 11 errata-xmlrpc 2012-01-31 23:06:50 UTC
This issue has been addressed in following products:

   JBoss Enterprise Web Platform 5.1.2

Via RHSA-2012:0077 https://rhn.redhat.com/errata/RHSA-2012-0077.html

Comment 12 errata-xmlrpc 2012-01-31 23:07:12 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 6
  JBEWP 5 for RHEL 4
  JBEWP 5 for RHEL 5

Via RHSA-2012:0076 https://rhn.redhat.com/errata/RHSA-2012-0076.html

Comment 13 errata-xmlrpc 2012-01-31 23:07:33 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.1.2

Via RHSA-2012:0075 https://rhn.redhat.com/errata/RHSA-2012-0075.html

Comment 14 errata-xmlrpc 2012-01-31 23:07:58 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6
  JBEAP 5 for RHEL 4
  JBEAP 5 for RHEL 5

Via RHSA-2012:0074 https://rhn.redhat.com/errata/RHSA-2012-0074.html

Comment 15 errata-xmlrpc 2012-02-22 05:11:30 UTC
This issue has been addressed in following products:

JBoss Enterprise BRMS Platform 5.2.0, JBoss Enterprise Portal Platform 5.2.0 and JBoss Enterprise SOA Platform 5.2.0

Via RHSA-2012:0325 https://rhn.redhat.com/errata/RHSA-2012-0325.html

Comment 17 errata-xmlrpc 2012-03-01 06:54:10 UTC
This issue has been addressed in following products:

JBoss Enterprise Portal Platform 4.3 CP07

Via RHSA-2012:0345 https://rhn.redhat.com/errata/RHSA-2012-0345.html

Comment 18 errata-xmlrpc 2012-04-11 17:17:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0475 https://rhn.redhat.com/errata/RHSA-2012-0475.html

Comment 19 errata-xmlrpc 2012-04-11 17:17:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0474 https://rhn.redhat.com/errata/RHSA-2012-0474.html

Comment 21 errata-xmlrpc 2012-05-21 16:33:28 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0680 https://rhn.redhat.com/errata/RHSA-2012-0680.html

Comment 22 errata-xmlrpc 2012-05-21 16:34:27 UTC
This issue has been addressed in following products:

  JBEWS 1.0

Via RHSA-2012:0679 https://rhn.redhat.com/errata/RHSA-2012-0679.html

Comment 23 errata-xmlrpc 2012-05-21 16:42:35 UTC
This issue has been addressed in following products:

  JBEWS 1.0

Via RHSA-2012:0681 https://rhn.redhat.com/errata/RHSA-2012-0681.html

Comment 24 errata-xmlrpc 2012-05-21 16:53:03 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0682 https://rhn.redhat.com/errata/RHSA-2012-0682.html

Comment 25 errata-xmlrpc 2012-10-03 15:10:01 UTC
This issue has been addressed in following products:

   JBoss Operations Network 3.1.1

Via RHSA-2012:1331 https://rhn.redhat.com/errata/RHSA-2012-1331.html


Note You need to log in before you can comment on or make changes to this bug.